#include "c4d_customdatatypeplugin.h"
#include "c4d_memory.h"
#include "c4d_basebitmap.h"
#include "c4d_file.h"
#include "c4d_general.h"
#include "c4d_gui.h"

BaseContainer GetCustomDataTypeDefault(LONG type)
{
	BaseContainer bc(type);
	RESOURCEDATATYPEPLUGIN *plug = FindResourceDataTypePlugin(type);
	if (plug) CallResourceDataType(plug,GetDefaultProperties)(bc);
	return bc;
}
